Static interface methods are only supported starting with Android N (--min-api 24): void butterknife

tech2024-07-10  12

错误描述:

Static interface methods are only supported starting with Android N (--min-api 24): void butterknife.Unbinder.lambda$static$0()","sources":[{}],"tool":"D8"}

解决方法如下:

因为静态接口需要在Java 8 下才支持使用,所以我们要使用静态接口,就需要在app的build.gradle文件中配置声明,使用Java 8编译。

所以需要加入以下代码来声明:

compileOptions { sourceCompatibility JavaVersion.VERSION_1_8 targetCompatibility JavaVersion.VERSION_1_8 }

 

最新回复(0)